Bug 97812 - Busmouse driver modules not working correctly
Busmouse driver modules not working correctly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-21 17:37 EDT by David A. Smith
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version: 1.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 17:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Email message to RedHat about the problem in detail. (12.23 KB, text/plain)
2003-06-21 18:08 EDT, David A. Smith
no flags Details

  None (edit)
Description David A. Smith 2003-06-21 17:37:21 EDT
Description of problem:

Busmouse driver modules not working correctly with neither gpm or xwindows.

Version-Release number of selected component (if applicable):

kernel 2.4.20-18.7
kernel-headers 2.4.9-34
ncurses 5.2-12
gpm 1.19.3-20
mouseconfig 4.23-1
modutils 2.4.18-3.7x
XFree86 4.1.0-25

How reproducible:

Just install RedHad Linux 7.2 from cd on a Pentium 200 MHz computer equiped with
256 Meg of RAM, onboard PS/2 mouse port (not used), Adaptec 2940 Ultra Wide SCSI
card, a MS ImPort BusMouse standard configuration as primary mouse and IRQ 5, an
ATI Graphics Ultra Pro Turbo PCI video card with 4 Meg VRAM. BusMouse will be
detected but installed as an ATI BusMouse driver module. Run Mouseconfigurator
and it will fail probe but you manually select ATI BusMouse and exit. Then run
gpm -R and it will find the link /dev/mouse to /dev/atibm but no graphic text
cursor appears on the text screen when moving the mouse. Then edit the
XF86Config file in the /etc/X11 directory and change the text line: Device 
"/dev/mouse" to Device  "dev/gpmdata" in the Pointer section and save the
change. Then run startx and try to move the mouse and mouse pointer will not
move in xwindows.

Steps to Reproduce:
1.While in text terminal mode, type gpm -k to kill the gpm.
2.Run cat /dev/mouse and move the mouse. You should see a line of different
ASCII characaters on the text screen in relation to the speed of the mouse.
3.
    
Actual results:

AAAAAAAAAAAAAbAbAbAbA

Expected results:

Good question.

Additional info:

See attached file.
Comment 1 David A. Smith 2003-06-21 18:08:08 EDT
Created attachment 92522 [details]
Email message to RedHat about the problem in detail.
Comment 2 Eido Inoue 2003-07-28 17:24:17 EDT
should be resolved with version in rawhide and in next release

Note You need to log in before you can comment on or make changes to this bug.